import java.util.ArrayList;

/**
 * Col represents a column of squares on a Sudoku board
 */
public class Column implements Section
{
    private int colNum;
    private Square[][] square;
    
    public Column(int num)
    {
      colNum = num;
    }

    public void update(Square[][] square, Square aSquare){
      if ( aSquare.getCol() == colNum )
      {
        for (int item = 0; item < square[0].length; item++){
		  if ( square[item][colNum].getValue() == 0 )
	 	    square[item][colNum].removePossibleValue( aSquare.getValue() );
	    }
	  }
    }

   	public int[] getPair(Square[][] square)
   	{
   	    for (int pos = 0; pos < square[0].length-1; pos++)
   	    {
   	      Square sq = square[pos][colNum];
     	  for (int loc = pos+1; loc < square.length; loc++)
     	  {
   	        Square sq2 = square[loc][colNum];
   	        if ( sq.equals( sq2 ) )
   	        {
   	          ArrayList<Integer> list = sq.getPossibleValues();
              if ( list.size() == 2 )
              {
   	            int first = list.get(0);
   	            int second = list.get(1);
   	            int[] pair = new int[2];
   	            pair[0] = first;
   	            pair[1] = second;
   	            return pair;
   	          }
   	        }
     	  }
   	    }
   	    return null; 
   	}
	
	public void processPair(Square[][] square, int[] pair)
	{
  	  for (int item = 0; item < square[0].length; item++)
  	  {
	    ArrayList<Integer> list = square[item][colNum].getPossibleValues();
   	    if (list.size() > 1)
   	    {
	      int first = list.get(0);
   	      int second = list.get(1);
		  if ( list.size() != 2 ||
		       first  != pair[0] ||
		       second != pair[1] )
		  {
	        square[item][colNum].removePossibleValue( pair[0] );
	        square[item][colNum].removePossibleValue( pair[1] );
	      }
	    }
   	  }
	}
	
}
