import java.util.ArrayList;

/**
 * Row represents a row of squares on a Sudoku board
 */
public class Row implements Section
{
    private int rowNum;
    
    public Row(int num)
    {
      rowNum = num;
    }
    
  	public void update(Square[][] square, Square aSquare){
	  if ( aSquare.getRow() == rowNum )
	  {
  	    for (int item = 0; item < square.length; item++){
		  if ( square[rowNum][item].getValue() == 0 )
	        square[rowNum][item].removePossibleValue( aSquare.getValue() );
	    }
	  }
  	}

   	public int[] getPair(Square[][] square)
   	{
   	    for (int pos = 0; pos < square.length-1; pos++)
   	    {
   	      Square sq = square[rowNum][pos];
     	  for (int loc = pos+1; loc < square.length; loc++)
     	  {
   	        Square sq2 = square[rowNum][loc];
   	        if ( sq.equals( sq2 ) )
   	        {
   	          ArrayList<Integer> list = sq.getPossibleValues();
              if ( list.size() == 2 )
              {
   	            int first = list.get(0);
   	            int second = list.get(1);
   	            int[] pair = new int[2];
   	            pair[0] = first;
   	            pair[1] = second;
   	            return pair;
   	          }
   	        }
     	  }
   	    }
   	    return null; 
   	}
	
	public void processPair(Square[][] square, int[] pair)
	{
  	  for (int item = 0; item < square.length; item++)
  	  {
	    ArrayList<Integer> list = square[rowNum][item].getPossibleValues();
   	    if (list.size() > 1)
   	    {
	      int first = list.get(0);
   	      int second = list.get(1);
		  if ( list.size() != 2 ||
		       first  != pair[0] ||
		       second != pair[1] )
		  {
	        square[rowNum][item].removePossibleValue( pair[0] );
	        square[rowNum][item].removePossibleValue( pair[1] );
	      }
	    }
   	  }
	}

}
