
/**
 * Provides access to constants used throughout the program
 */
public interface Sudoku
{
      // number of digits use by the Sudoku game
      public static final int NUM_DIGITS = 9;
      // number of types of sections in a Sudoku game
	  public static final int NUM_TYPES = 3;
      // number of sections for each type in a Sudoku game
	  public static final int NUM_SECTIONS_PER_TYPE = 9;
      // total number of sections in a Sudoku board
	  public static final int NUM_SECTIONS = NUM_SECTIONS_PER_TYPE * NUM_TYPES;
      // number of rows in a Sudoku board
	  public static final int NUM_ROW_SQUARES = 9;
      // number of possible values in each row for a board square
	  public static final int POSSIBILITIES_PER_ROW = 3;
      // number of possible values in each column for a board square
	  public static final int POSSIBILITIES_PER_COL = 3;
      // number of squares in a row of a region
	  public static final int REGION_WIDTH = 3;
      // number of squares in a column of a region
	  public static final int REGION_HEIGHT = 3;
	  // value used to indicate that a square value is undetermined
      public static final int EMPTY_VALUE = 0;

}
