
/**
 * The use of this class requires that the Board class
 * sectionsInit method includes Row, Column, and Region
 * sections.
 */
public class SudokuMain {

   public static void main(String[] args){
	   Board sudoku = new Board();
	   SudokuDisplay display = new SudokuDisplay(sudoku);
	   
	   sudoku.updateSections(0, 0, 1); // Easy
	   sudoku.updateSections(0, 3, 8);
	   sudoku.updateSections(0, 6, 3);
	   sudoku.updateSections(1, 2, 4);
	   sudoku.updateSections(1, 4, 9);
	   sudoku.updateSections(1, 5, 3);
	   sudoku.updateSections(1, 8, 2);
	   sudoku.updateSections(2, 0, 3);
	   sudoku.updateSections(2, 3, 1);
	   sudoku.updateSections(2, 4, 6);
	   sudoku.updateSections(2, 8, 8);
	   sudoku.updateSections(3, 0, 6);
	   sudoku.updateSections(3, 1, 8);
	   sudoku.updateSections(3, 2, 5);
	   sudoku.updateSections(3, 3, 3);
	   sudoku.updateSections(3, 7, 4);
	   sudoku.updateSections(4, 1, 2);
	   sudoku.updateSections(4, 4, 4);
	   sudoku.updateSections(4, 7, 8);
	   sudoku.updateSections(5, 1, 4);
	   sudoku.updateSections(5, 5, 9);
	   sudoku.updateSections(5, 6, 6);
	   sudoku.updateSections(5, 7, 1);
	   sudoku.updateSections(5, 8, 5);
	   sudoku.updateSections(6, 0, 2);
	   sudoku.updateSections(6, 4, 1);
	   sudoku.updateSections(6, 5, 5);
	   sudoku.updateSections(6, 8, 4);
	   sudoku.updateSections(7, 0, 4);
	   sudoku.updateSections(7, 3, 9);
	   sudoku.updateSections(7, 4, 2);
	   sudoku.updateSections(7, 6, 5);
	   sudoku.updateSections(8, 2, 6);
	   sudoku.updateSections(8, 5, 7);
	   sudoku.updateSections(8, 8, 1);

	   while ( sudoku.hasChanged() )
	   {
		   sudoku.resetHasChanged();
		   sudoku.updateBoard();
	   }
	   display.showBoard();
   }
}

/* OUTPUT
   !   !   |   !   !   |   !   !   
 1 ! 6 ! 2 | 8 ! 5 ! 4 | 3 ! 9 ! 7 
   !   !   |   !   !   |   !   !   
------------------------------------
   !   !   |   !   !   |   !   !   
 8 ! 5 ! 4 | 7 ! 9 ! 3 | 1 ! 6 ! 2 
   !   !   |   !   !   |   !   !   
------------------------------------
   !   !   |   !   !   |   !   !   
 3 ! 7 ! 9 | 1 ! 6 ! 2 | 4 ! 5 ! 8 
   !   !   |   !   !   |   !   !   
====================================
   !   !   |   !   !   |   !   !   
 6 ! 8 ! 5 | 3 ! 7 ! 1 | 2 ! 4 ! 9 
   !   !   |   !   !   |   !   !   
------------------------------------
   !   !   |   !   !   |   !   !   
 9 ! 2 ! 1 | 5 ! 4 ! 6 | 7 ! 8 ! 3 
   !   !   |   !   !   |   !   !   
------------------------------------
   !   !   |   !   !   |   !   !   
 7 ! 4 ! 3 | 2 ! 8 ! 9 | 6 ! 1 ! 5 
   !   !   |   !   !   |   !   !   
====================================
   !   !   |   !   !   |   !   !   
 2 ! 3 ! 8 | 6 ! 1 ! 5 | 9 ! 7 ! 4 
   !   !   |   !   !   |   !   !   
------------------------------------
   !   !   |   !   !   |   !   !   
 4 ! 1 ! 7 | 9 ! 2 ! 8 | 5 ! 3 ! 6 
   !   !   |   !   !   |   !   !   
------------------------------------
   !   !   |   !   !   |   !   !   
 5 ! 9 ! 6 | 4 ! 3 ! 7 | 8 ! 2 ! 1 
   !   !   |   !   !   |   !   !   
>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 
 */
